# Uses of Interface
org.springframework.orm.jpa.persistenceunit.ManagedClassNameFilter

Packages that use ManagedClassNameFilter
Package
Description
org.springframework.orm.jpa
Package providing integration of JPA (Java Persistence API) with Spring concepts.
org.springframework.orm.jpa.persistenceunit
Internal support for managing JPA persistence units.

## Uses of ManagedClassNameFilter in org.springframework.orm.jpa

Methods in org.springframework.orm.jpa with parameters of type ManagedClassNameFilter
Modifier and Type
Method
Description
`void`
LocalContainerEntityManagerFactoryBean.`setManagedClassNameFilter(ManagedClassNameFilter managedClassNameFilter)`
Set the `ManagedClassNameFilter` to apply on entity classes discovered using classpath scanning.

## Uses of ManagedClassNameFilter in org.springframework.orm.jpa.persistenceunit

Methods in org.springframework.orm.jpa.persistenceunit with parameters of type ManagedClassNameFilter
Modifier and Type
Method
Description
`void`
DefaultPersistenceUnitManager.`setManagedClassNameFilter(ManagedClassNameFilter managedClassNameFilter)`
Set the `ManagedClassNameFilter` to apply on entity classes discovered using classpath scanning.
Constructors in org.springframework.orm.jpa.persistenceunit with parameters of type ManagedClassNameFilter
Modifier
Constructor
Description
``
`PersistenceManagedTypesScanner(org.springframework.core.io.ResourceLoader resourceLoader, ManagedClassNameFilter managedClassNameFilter)`
Create a new `PersistenceManagedTypesScanner` for the given resource loader.